package es04;




public class RegistroVendite {
	private double[] aVendite;
	private int numeroVendite;

	public RegistroVendite(double[] aVendite) {
		aVendite = new double[10];
		numeroVendite = aVendite.length;
		if (numeroVendite > 10) {
			//numeroVendite = 10;
			throw new EccezioneRegistroVendite();
		}
		for (int i = 0; i < aVendite.length && i < 10; i++) {
			this.aVendite[i] = aVendite[i];
		}

	}

	public double totaleVendite() {
		double ris = 0;
		for (int i = 0; i < numeroVendite; i++) {
			ris += aVendite[i];
		}
		return ris;
	}

	public int venditeAlDiSopra(double soglia) {
		int ris = 0;
		for (int i = 0; i < numeroVendite; i++) {
			if (aVendite[i] > soglia) ris++;
		}
		return ris;
	}

	public double mediaVendite() {
		return totaleVendite()/numeroVendite;
	}
	
	public double importoPiAlto() {
		//if (numeroVendite==0) return 0;
		double ris = 0; //essendo i valori dell'array positivi, posso inizializzare a 0
		for (int i = 0; i < numeroVendite; i++) {
			if (aVendite[i]>ris) 
				ris=aVendite[i];
		}
		return ris;
	}
	
	public void inserisci (double nuovoEl) {
		if (numeroVendite<aVendite.length) {
			aVendite[numeroVendite]=nuovoEl;
			numeroVendite++;
		} else {
			throw new EccezioneRegistroVendite();
		}
	}
	
}
