package es02;

/*
 * soluzione che usa un array della dimensione del numero di elementi presenti
 */

public class Multinsieme {
	private int[] a;
	
	public Multinsieme () {
		a = new int[0];
	}
	
	public void add (int elem) {
		int n=a.length;
		int[] nuovo = new int[n+1];
		for (int i=0; i<n; i++) {
			nuovo[i]=a[i];
		}
		nuovo[n]=elem;
		a = nuovo; //sostituisco l'array di istanza con il nuovo array
	}
	
	public int size() {
		return a.length;
	}
	
	public boolean delete (int elem) {
		int posElem=-1; // per memorizzare la posizione di elem nell'array a
		for (int i=0; i<a.length && posElem==-1; i++) {
			if (a[i]==elem) posElem=i;
		}
		if (posElem == -1) {
			return false;
		} else {
			//creare un nuovo array SENZA l'elemento cancellato
			int[] nuovo = new int[a.length-1];
			int j=0;
			for (int i=0; i<a.length; i++) {
				if (i!=posElem) {
			        nuovo[j]=a[i];
			        j++;
				}   
			}
			a=nuovo;
			return true;			
		}
	}
	
	public int occorrenze (int elem) {
		int ris=0;
		for (int i : a) {
			if (i==elem) ris++;
		}
		return ris;
	}

}
