package es05;

public class Statino {
	private final int matricola;
	private final int matricolaDocente;
	private final int voto;
	private final boolean lode;
	private String esame;
	
	public Statino(int matricola, int matricolaDocente, String esame, int voto, boolean lode) {
		this.matricola=matricola;
		this.matricolaDocente=matricolaDocente;
		if (voto<0) voto=0;
		if (voto>30) {
			voto=30;
			lode=true;
		}
		this.voto=voto;
		this.lode=lode;
		this.esame=esame;
	}
	
	public Statino (int matricola, int matricolaDocente, String esame, int voto) {
		this(matricola, matricolaDocente, esame, voto, false);
	}
	
	public int getMatricolaDocente() {
		return matricolaDocente;
	}
	
	public int getMatricola() {
		return matricola;
	}
	
	public int getVoto() {
		return voto;
	}
	
	public boolean getLode() {
		return lode;
	}
	
	public String getEsame() {
		return esame;
	}
	
	public String toString() {
		String s= "studente " + matricola + " voto " + voto;
		if (lode) {
			s += " e lode";
		}
		return s;
	}
	
}
