package es06;

public class Prodotto {
	private final String codice;
	private String descrizione;
	private int prezzoUnitario;
	
	public Prodotto (String codice, String descrizione,
			         int prezzoUnitario) {
		this.codice=codice;
		this.descrizione=descrizione;
		this.prezzoUnitario=prezzoUnitario;
	}
	
	public String getCodice() {
		return codice;
	}
	
	public String getDescrizione() {
		return descrizione;
	}
	
	public int getPrezzoUnitario() {
		return prezzoUnitario;
	}
	
	public boolean equals (Object o) {
		if (o==null) return false;
		if (o instanceof Prodotto) {
			Prodotto p = (Prodotto)o;
			return p.codice.equals(codice) 
					&& p.prezzoUnitario==prezzoUnitario;
		} else {
			return false;
		}
	}
	
}